package com.oqpo.api.mapper.oper;


import com.oqpo.api.entity.oper.MainChartEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface MainChartMapper {

    MainChartEntity selectBrandMainCount(@Param("brandId") String brandId) throws Exception;

    MainChartEntity selectStoreMainCount(@Param("storeId") String storeId) throws Exception;

    MainChartEntity selectSpplyMainCount(@Param("spplyId") String spplyId) throws Exception;

    MainChartEntity selectPchReqChart(@Param("brandId") String brandId, @Param("storeId") String storeId, @Param("prType") String prType) throws Exception;

    MainChartEntity selectPchOdrChart(@Param("brandId") String brandId, @Param("storeId") String storeId, @Param("spplyId") String spplyId,
                                      @Param("poType") String poType) throws Exception;

    List<MainChartEntity> selectPrRankChart(@Param("brandId") String brandId, @Param("storeId") String storeId,
                                            @Param("prType") String prType) throws Exception;

    List<MainChartEntity> selectPoRankChart4Spply(@Param("spplyId") String spplyId, @Param("poType") String poType) throws Exception;

    MainChartEntity selectStlChart(@Param("brandId") String brandId, @Param("storeId") String storeId, @Param("spplyId") String spplyId) throws Exception;

    List<MainChartEntity> selectSftStckChart(@Param("brandId") String brandId, @Param("storeId") String storeId) throws Exception;

    MainChartEntity selectDeliChart(@Param("brandId") String brandId, @Param("storeId") String storeId, @Param("spplyId") String spplyId,
                                    @Param("deliType") String deliType, @Param("dlvStCd") String dlvStCd, @Param("dateColumn") String dateColumn) throws Exception;

}
